Subject: Re: [Sipping] SIP-PSTN Interconnection

From: "Jagannathan R" <[email-masked]>
Date: Fri, 1 Mar 2002 12:53:28 +0530

Please correct me if I am wrong.

1. When a PSTN originated call gets translated in MGC, how the host part is
built. You mean to say we should have database provisioned in such a way
that particular detination number would have host name (IP address).
2. When SIP originated call routed to PSTN, how to represent the NOA and
different sequence of digits like ANI, AUTH etc in SIP messages.

Thanks,

jagannathan

----- Original Message -----
From: "Gonzalo Camarillo" <[email-masked]>
To: "Jagannathan R" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, March 01, 2002 2:40 AM
Subject: Re: [Sipping] SIP-PSTN Interconnection

> Hi,
>
> request routing in SIP works in a different way than in the PSTN. Your
> proxy do not have to register towards your MGC. Your MGC will decide
> where to send a particular request based on the host part of the
> destination SIP URI (that has been obtained from the destination
> telephone number in ISUP).
>
> Regards,
>
> Gonzalo
>
> Jagannathan R wrote:
> >
> > Hi all,
> >
> > I have a some basic doubts regarding the SIP-PSTN Interworking, this
> > is more on SIP-T. Can any one clarify these doubts please.
> >
> > 1. Proxy server is connected to MGC (point of SIP-PSTN
> > Interconnection),
> >
> > 1a. Is there a way proxy server registering itself with MGC?
> >       This is required at MGC to know which are the SIP users this
> > proxy  can service,
> >       so that the PSTN originated call can be correctly terminated to
> > that Proxy.
> >
> > 1b. How the MGC knows the status of Proxy (In-Service or
> > Out-of-Service) in order to terminate the call.
> >
> > 1c. How many Proxy servers with different/same set of SIP users can be
> > linked to one MGC.
> >
> > 2. When SIP call arrives at MGC, MGC requires NOA (Nature of Address)
> > in order to translate the called number and route the call to the
> > correct PSTN Trunk Group. How the NOA address (like 0+IDDD, IDDD, DDD
> > calls) can be represented in the SIP messages.
> >
> > 3. For SIP-PSTN call, how different digit sequences like ANI,
> > Authorization code, Account code (these are required for billing at
> > MGC and to have Dialing plan) can be sent to MGC in SIP Messages.
> >
> >
> > Thanks in advance,
> >
> > jagannathan
> >
>
> --
> Gonzalo Camarillo                    Phone :   +1 212 939 71 71
> Columbia University                  Mobile:  +358 40 702 35 35
> 472 Computer Science Building        Fax   :  +358  9 299 30 52
> 1214 Amsterdam Ave., Mail Code 0401  http://www.hut.fi/~gonzalo
> New York, NY 10027
> USA                              [email-masked]

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Gonzalo Camarillo <[email-masked]>
Date: Fri, 01 Mar 2002 17:49:05 +0200

Hi,

> that particular detination number would have host name (IP address).

You can use a database, you can use ENUM, or you can use whichever
mechanism you want. 

> different sequence of digits like ANI, AUTH etc in SIP messages.

The SIP/ISUP mapping draft outlines how to map some parameters. The tel
URI RFC is a useful document as well. Then, you can encapsulate ISUP
messages in SIP bodies.

Gonzalo